> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.synchpay.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List saved card payment methods

> Returns saved card payment methods for a registered customer



## OpenAPI

````yaml /swagger.json get /Payment/CardPaymentMethods/{registrationId}
openapi: 3.0.4
info:
  title: SynchPay API
  version: v1
servers:
  - url: https://api.trysynch.com
    description: Sandbox
  - url: https://api.synchpay.com
    description: Production
security:
  - Bearer: []
paths:
  /Payment/CardPaymentMethods/{registrationId}:
    get:
      tags:
        - Payment
      summary: List saved card payment methods
      description: Returns saved card payment methods for a registered customer
      parameters:
        - name: registrationId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: companyId
          in: query
          schema:
            type: string
            format: uuid
        - name: companyReferenceId
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ListSavedCardPaymentMethodsResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ListSavedCardPaymentMethodsResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ListSavedCardPaymentMethodsResponse'
components:
  schemas:
    ListSavedCardPaymentMethodsResponse:
      type: object
      properties:
        registrationId:
          type: string
          format: uuid
        paymentMethods:
          type: array
          items:
            $ref: '#/components/schemas/SavedCardPaymentMethodDto'
      additionalProperties: false
    SavedCardPaymentMethodDto:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        brand:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        expMonth:
          type: integer
          format: int32
          nullable: true
        expYear:
          type: integer
          format: int32
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: http
      description: "JWT Authorization header using the Bearer scheme. \r\n                        Use `/auth/token` to obtain access token. \r\n                        Enter 'Bearer' [space] and then your token in the text input below. \r\n                        Example: 'Bearer eyJhbGci...'"
      scheme: bearer
      bearerFormat: JWT

````